<?php
/*
 * framework-spider
 * util/mail/PHP.class.php
 * 
 * CopyRight(C)Framework-Spider Developer Team. 2010. All Right Reserved. 
 * URL         : http://sourceforge.jp/projects/frameworkspider/
 * Mail        : frameworkspider-dev@lists.sourceforge.jp
 * Auther      : Masanori Nakashima
 * Modifier    : Masanori Nakashima
 * Last Updated: 2010.06.23
 * 
 */
require_once( dirname(dirname(__FILE__)).DIRECTORY_SEPARATOR.'Mail.class.php');
/**
 * メール送信ユーティリティ拡張クラス:PHPのmail関数による送信の実装クラス
 * 
 * @version 1.0.0
 * @copyright Copyright &copy; 2008, <m_nakashima@users.sourceforge.jp> http://sourceforge.jp/projects/shopformer/
 * @author  m.nakashima <m_nakashima@users.sourceforge.jp>
 * @since PHP 4.3
 */
class util_mail_PHP extends util_Mail {
	function util_mail_PHP() {
	}
	/**
	 * メールを送信します
	 */
	function send_execute( $add_header_crlf=false, $convert_encoding = true ) {

		// 本文文字列を取得する
		$header_strings	= $this->_get_header_part_strings(false,false,true,$add_header_crlf,$convert_encoding);
		$body_strings	= $this->_get_body_part_strings($convert_encoding);
		// 件名を別途エンコードする
		$subject		= $this->get_encoded_subject( $add_header_crlf, $convert_encoding );
		return @mail($this->convertHeaderAddress( $this->to )
			, $subject, $body_strings, $header_strings);
	}
	/**
	 * 送信設定オプションの妥当性検査を行いエラーメッセージの配列を返します。
	 * エラーがない場合は要素0の配列を返します。
	 */
	function validate_options( & $options ) {
		$error_messages	= array();
		// TODO: オプションはないのでmail関数利用可能かチェックする
		return $error_messages;
	}
}
?>